По официальной инструкции с Github выходит ошибка E: Unable to locate package npm, вот как получилось установить у меня:

Начинаем по инструкции от разработчика:

sudo apt-get update
sudo apt-get install nodejs
sudo apt-get install npm

После sudo apt-get install npm выходит ошибка E: Unable to locate package npm

Выполняем:

sudo apt-get update
sudo apt install curl
curl -sL https://deb.nodesource.com/setup_6.x | sudo bash -
sudo apt-get install -y nodejs
sudo apt-get install -y npm

Далее установим ioBroker:

cd /opt
mkdir iobroker
cd iobroker
sudo npm install iobroker
sudo unit 6

Оставить комментарий

avatar

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.

  Подписаться  
Уведомление о